#coding=utf-8

from django import forms

from models import Option

class OptionForm(forms.ModelForm):
    class Meta:
        fields = "__all__"
        model = Option
        widgets = {
            'type': forms.Select(attrs={'class':'easyui-validatebox', 'required':'true'}),
            'name': forms.TextInput(attrs={'size': 30, 'class':'easyui-textbox', 'required':'true'}),
            'enabled': forms.CheckboxInput(attrs={'value': 'true'}),
            'notes': forms.TextInput(attrs={'class':'easyui-textbox', 'multiline':'true', 'style':"width:90%;height:100px;"}),
        }
