#coding=utf-8

from django.conf.urls import url

from views import *

urlpatterns = (
    url(r'^demand/data/$', demand_list),
    url(r'^demand/export/$', demand_export),
    url(r'^demand/save/$', demand_save),
    url(r'^demand/detail/$', demand_detail),
    url(r'^demand/check/$', demand_check),
    url(r'^demand/delete/$', demand_delete),
    url(r'^demand/receive_save/$', demand_receive_save),
    url(r'^demand/export_detail/$', demand_export_detail),
    url(r'^demand/import/$', demand_import),

    url(r'^production/data/$', production_list),
    url(r'^production/export/$', production_export),
    url(r'^production/save/$', production_save),
    url(r'^production/check/$', production_check),
    url(r'^production/delete/$', production_delete),
    url(r'^production/detail/$', production_detail),

    url(r'^plan/options/$', plan_options), # 返回生产计划销售计划页面下列框信息

    url(r'^sale/data/$', sale_list),
    url(r'^sale/save/$', sale_save),
    url(r'^sale/check/$', sale_check),
    url(r'^sale/delete/$', sale_delete),
    url(r'^sale/detail/$', sale_detail),
    url(r'^sale/export_detail/$', sale_export_detail),
    url(r'^sale/export/$', sale_export),
)